<?php


	include "smtp.php";



	function zamknij_okienko(){
		echo '<script>parent.window.location.reload(); setTimeout(\'parent.domTT_deactivate(parent.active_id)\',10); </script>';
	}




	function trunc($s, $l, $e = '...', $isHTML = false) {
		$i = 0;
		$tags = array();
		if($isHTML){
			preg_match_all('/<[^>]+>([^<]*)/', $s, $m, PREG_OFFSET_CAPTURE | PREG_SET_ORDER);
			foreach($m as $o){
				if($o[0][1] - $i >= $l)
					break;
				$t = substr(strtok($o[0][0], " \t\n\r\0\x0B>"), 1);
				if($t[0] != '/')
					$tags[] = $t;
				elseif(end($tags) == substr($t, 1))
					array_pop($tags);
				$i += $o[1][1] - $o[0][1];
			}
		}
		return substr($s, 0, $l = min(strlen($s),  $l + $i)) . (count($tags = array_reverse($tags)) ? '</' . implode('></', $tags) . '>' : '') . (strlen($s) > $l ? $e : '');
	}



	function format_liczby($liczba){



		settype($liczba, "string");



		$ile_znakow = strlen($liczba);



		$ile_razy = $ile_znakow/3;



		$temp = explode(".", $ile_razy);



		$licznik = 0;



		for($y=$ile_znakow;$y>=0;$y--){



			if($licznik==3 and $liczba[$y-1]!=NULL){



				$string = ".".$liczba[$y].$string;



				$licznik = 1;



			}else{



				$licznik++;



				$string = $liczba[$y]."".$string;



			}



		}



		return $string;



	}















	function komunikat($tytul,$tresc){
		echo"
			<script type=\"text/javascript\">
			$(document).ready(function() {
				$('#komunikat_cms').hide();
				$('#komunikat_cms').fadeIn(500);
			});
			</script>
		";
		echo '<div class="featurebox" id="komunikat_cms"><h3>'.$tytul.'</h3><p>'.$tresc.'</p></div>';
	}







   function doPost($uri,$postdata,$host){



        $da = fsockopen($host, 80, $errno, $errstr);



        if (!$da) {



            echo "$errstr ($errno)<br/>\n";



            echo $da;



        }



        else {



            $salida ="POST $uri  HTTP/1.1\r\n";



            $salida.="Host: $host\r\n";



            $salida.="User-Agent: PHP Script\r\n";



            $salida.="Content-Type: application/x-www-form-urlencoded\r\n";



            $salida.="Content-Length: ".strlen($postdata)."\r\n";



            $salida.="Connection: close\r\n\r\n";



            $salida.=$postdata;



            fwrite($da, $salida);



                     while (!feof($da))



                $response.=fgets($da, 128);



            $response=split("\r\n\r\n",$response);



            $header=$response[0];



            $responsecontent=$response[1];



            if(!(strpos($header,"Transfer-Encoding: chunked")===false)){



                $aux=split("\r\n",$responsecontent);



                for($i=0;$i<count($aux);$i++)



                    if($i==0 || ($i%2==0))



                        $aux[$i]="";



                $responsecontent=implode("",$aux);



            }//if



            return chop($responsecontent);



        }//else



    }//function-doPost



















// funkcja wysyla maila
function wyslij_maila($subject,$tresc,$do_kogo,$naglowek=''){
	if($naglowek==''){
		$naglowek = "From: biuro@coolpage.pl <biuro@coolpage.pl>\n";
		$naglowek .= "MIME-Version: 1.0\n";
		$naglowek .= "Content-Type: text/html;\n";
		$naglowek .= "\tcharset=\"iso-8859-2\"\n";
		$naglowek .= "Content-Transfer-Encoding: 8bit\n\n";
	}

	$tresc = '<html>
	<head>
	<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-2\">
	</head><body><br>'.nl2br($tresc).'<br></body><html>
	';

	$wynik = @smtpmail($do_kogo,$subject,$tresc,$naglowek);
}











// odczytanie adresu IP



function IP_prawdziwe(){



	if ($_SERVER['HTTP_X_FORWARDED_FOR']) {



		$ip_prawdziwe = $_SERVER['HTTP_X_FORWARDED_FOR'];



	}



	else {



	   $ip_prawdziwe = $_SERVER['REMOTE_ADDR'];



	}



	return $ip_prawdziwe;



}







// komunikat do subprocesow



function subkom($naglowek,$tresc){



	$output = '<div class="featurebox"><h3>'.$naglowek.'</h3><p>'.$tresc.'</p></div>';



	return $output;



}








// funkcja sprawdza czy dany modul w danym serwisie jest zainstalowany



function czy_jest_modul($pliku_modulu){



	global $db_pref;



	$wykonaj = mysql_query ("SELECT id FROM ".$db_pref."modul WHERE nazwa_pliku='".$pliku_modulu."' and id_serwisu='".$_SESSION['ID_serwisu']."' and stan='1';");



	$czy_jest_modul = mysql_num_rows($wykonaj);



	return $czy_jest_modul;



}











// funkcja do sprawdzania czy X pole jest w aktualnym szablonie



function czy_jest_pole($pole){



   global $nazwa_pliku, $katalog_serwisu, $templates_naglowek, $templates_stopka;







	$czy_jest = false;



	$cel = file_get_contents("templates/".$katalog_serwisu.$nazwa_pliku);



	if (preg_match("/".$pole."/i", $cel)) {



		$czy_jest = true;



	}else{



		if (preg_match("/{include file='".$_SESSION['ID_serwisu']."/i", $cel)) {



			$x = 1; $temp = explode("{include file='".$_SESSION['ID_serwisu']."/",$cel);



			while($temp[$x]!=null & !$czy_jest){



				$temp_include = explode("'}",$temp[$x]);



				$cel_temp = file_get_contents("templates/".$katalog_serwisu.$temp_include[0]);



				if (preg_match("/".$pole."/i", $cel_temp)) {



					$czy_jest = true;



				}



				$x++;



			}



		}



	}



	$cel = file_get_contents("templates/".$katalog_serwisu.$templates_naglowek);
	echo$templates_naglowek;



	if (preg_match("/".$pole."/i", $cel)) {



		$czy_jest = true;



	}



	$cel = file_get_contents("templates/".$katalog_serwisu.$templates_stopka);



	if (preg_match("/".$pole."/i", $cel)) {



		$czy_jest = true;



	}







   return $czy_jest;



}







// Filtrowanie polskich znakow

function filtr_pl($tekst){

   $tekst = strtolower($tekst);

	$tekst = str_replace('¶', "s", $tekst);
	$tekst = str_replace('¦', "s", $tekst);

	$tekst = str_replace('æ', "c", $tekst);
	$tekst = str_replace('Æ', "c", $tekst);

	$tekst = str_replace('ê', "e", $tekst);
	$tekst = str_replace('Ê', "E", $tekst);

	$tekst = str_replace('±', "a", $tekst);
	$tekst = str_replace('¡', "a", $tekst);

	$tekst = str_replace('¿', "z", $tekst);
	$tekst = str_replace('¯', "z", $tekst);

	$tekst = str_replace('¼', "z", $tekst);
	$tekst = str_replace('¬', "z", $tekst);

	$tekst = str_replace('ñ', "n", $tekst);
	$tekst = str_replace('Ñ', "n", $tekst);

	$tekst = str_replace('³', "l", $tekst);
	$tekst = str_replace('£', "l", $tekst);

   $tekst = str_replace('ó', "o", $tekst);
	$tekst = str_replace('Ó', "o", $tekst);

   return $tekst;

}







// Filtr znakow

function filtr_znakow($tekst){

	$tekst = strtolower($tekst);

	$tekst = str_replace('"', "", $tekst);

	$tekst = str_replace("'", "", $tekst);

	$tekst = str_replace("%", "", $tekst);

	$tekst = str_replace(",", "_", $tekst);

	$tekst = str_replace(".", "", $tekst);

	$tekst = str_replace("/", " ", $tekst);

	$tekst = str_replace('-', "_", $tekst);

	$tekst = str_replace('+', "_", $tekst);

	$tekst = str_replace('  ', " ", $tekst);

	$tekst = str_replace('&', " ", $tekst);

	$tekst = str_replace('   ', " ", $tekst);

	$tekst = str_replace('!', "", $tekst);

	$tekst = str_replace(':', "", $tekst);

	$tekst = str_replace(';', "", $tekst);

	$tekst = str_replace('*', "", $tekst);

	$tekst = str_replace(' & ', "-", $tekst);

	$tekst = str_replace(' ', "_", $tekst);

	return $tekst;

}











// wyswietlanie komunikatow z plikow ini



function kom($komunikat){



  global $wersja_jezykowa; global $tpl; global $komunikaty_plik;



	$komunikat_text = $komunikaty_plik[$wersja_jezykowa][$komunikat];



	if (empty($komunikat_text)) $tpl->assign('komunikat',$komunikat);



	else $tpl->assign('komunikat',$komunikat_text);



}











// czy ma dostep do wszystkich danych, czy tylko do swoich?



function do_wszystkich(){



	$ma_dostep = false;



	global $db_pref;



	$zapytanie = "SELECT poziom FROM ".$db_pref."proces WHERE id='27';";



	$wykonaj = mysql_query ($zapytanie);



	while($wiersz=mysql_fetch_array ($wykonaj)){



		$ranga = $wiersz['poziom'];



	}



	if($_SESSION['u_poziom']>=$ranga and $wykonaj){



		$ma_dostep = true;



	}



	return $ma_dostep;



}











// poziom dostepu - czy ma dostep?



function pd($proces,$wlasciciel=0){

	/*

	$ma_dostep = false;



	global $db_pref,$logged_in;



	$zapytanie = "SELECT poziom FROM ".$db_pref."proces WHERE id='".$proces."';";



	$wykonaj = mysql_query ($zapytanie);



	while($wiersz=mysql_fetch_array ($wykonaj)){



		$ranga = $wiersz['poziom'];



	}



	if($_SESSION['u_poziom']>=$ranga and $wykonaj){



		$ma_dostep = true;



	}







	if($wlasciciel!=0 and $ma_dostep){



		$ma_dostep = false;



		if($wlasciciel==$_SESSION['u_id']){



			$ma_dostep = true;



		}else{



			$zapytanie = "SELECT poziom FROM ".$db_pref."proces WHERE id='27';";



			$wykonaj = mysql_query ($zapytanie);



			while($wiersz=mysql_fetch_array ($wykonaj)){



				$ranga = $wiersz['poziom'];



			}



			$ma_dostep = false;



			if($_SESSION['u_poziom']>=$ranga and $wykonaj){



				$ma_dostep = true;



			}



		}



	}







	if($ma_dostep & $logged_in!=1){



		$ma_dostep = false;



	}
	*/



	$ma_dostep = true;


	return $ma_dostep;



}











// caly przycisk
function przycisk($dymek,$okienko,$ikonka){
	$przycisk = '<span id="ico"><a href="#cms" '.$dymek.' '.$okienko.'>'.$ikonka.'</a></span>';
	return $przycisk;
}

// dymek
function dymek($tytul,$tresc){
  $dymek_tekst = 'onmouseover="return makeTrue(domTT_activate(this, event, \'caption\', \''.$tytul.'\', \'content\', \''.$tresc.'\', \'trail\', true, \'delay\', 1));"';
  return $dymek_tekst;
}











// wyswietlenie ikonki



function ikonka($typ){

	global $adres_serwisu;
	$adres_do_ikonek = $adres_serwisu."images/ico/";

	$ikonka_tekst = '<img border="0" src="'.$adres_do_ikonek.'cms_ico_'.$typ.'.gif">';

	return $ikonka_tekst;

}








// wyswietlenie okienka - div



function okienko($tytul,$plik,$szerokosc,$wysokosc,$pasek='',$pozycja_okienka=''){



	if($tytul==null){



		$tytul = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";



	}



	if(!empty($pozycja_okienka)){$pozycja_okienka=', \'x\', \'0\', \'y\', \'0\'';}



	$stroling=null;



	if(empty($pasek)){$stroling = ' scrolling=no';}else{$stroling = ' scrolling='.$pasek;}



	$okienko_tekst = 'onclick="active_id = domTT_activate(this, event'.$pozycja_okienka.', \'caption\', \''.$tytul.'\', \'content\', \'&lt;iframe border=0 frameborder=0'.$scroling.' align=&quot;middle&quot; src=&quot;'.$plik.'&quot; style=&quot;width: '.$szerokosc.'px; height: '.$wysokosc.'px;&quot;&gt;&lt;/iframe&gt;\', \'statusText\', \'£adowanie ...\', \'type\', \'sticky\', \'styleClass\', \'domTTWin\', \'closeLink\', winCloseButton, \'draggable\', true, \'closeAction\', \'destroy\');"';



	return $okienko_tekst;



}







// wykrywanie przegladarki uzytkownika - np. dla dostosowania szablonow dla roznych przegladarek



function _get_browser()



{



  $browser = array ( //reversed array



   "OPERA",



   "MSIE",            // parent



   "NETSCAPE",



   "FIREFOX",



   "SAFARI",



   "KONQUEROR",



   "MOZILLA"        // parent



  );







  $info = "OTHER";







  foreach ($browser as $parent)



  {



   if ( ($s = strpos(strtoupper($_SERVER['HTTP_USER_AGENT']), $parent)) !== FALSE )



   {



     $f = $s + strlen($parent);



     $version = substr($_SERVER['HTTP_USER_AGENT'], $f, 5);



     $version = preg_replace('/[^0-9,.]/','',$version);







     $info = $parent;



     //$info[version] = $version; //wersja



     break; // first match wins



   }



  }







  return $info;



}







function jump($file) {echo "<script>window.location.replace(\"$file\");</script>";}

function slowjump($file,$ile) {echo "<script>function redirect() {window.location.replace(\"$file\");}setTimeout(\"redirect();\", ".$ile.");</script>";}




function zamowienie_historia($id,$tytul){
	global $db_pref;
	$wykonaj = mysql_query("INSERT INTO ".$db_pref."sklep_zamowienia_historia (id_zamowienia,tresc,czas_dodania,czas_aktualizacji) VALUES ('".$id."','".$tytul."','".time()."','brak')");
}

function podmien($co,$na,$tekst){
	$tekst = str_replace($co, $na, $tekst);
	return $tekst;
}

?>